fbpx
Welcome, Guest
Username: Password: Remember me
Welcome to the XSharp forum!

Tell us and our members who you are, what you like and why you became a member of this site.
We welcome all new members and hope to see you around a lot!
  • Page:
  • 1

TOPIC: VO2.8 sp4 strange runtime error

VO2.8 sp4 strange runtime error 1 week 5 days ago #10581

  jjgregg's Avatar Topic Author jjgregg Offline Posts: 12
Hi, as a first step towards possibly migrating to X# we upgraded our VO 2.7b applications to VO 2.8 sp4, have had all kinds of problems getting the right ReportPro libraries compiled and recuperating all our third party software, not much, we use ReportPro, Bbrowser, and perhaps one other.

Managed to compile without errors both applications, before when we tried to execute them we got a listing of xlinked VO2.7 libraries, now we managed to clean that up and the applications (both) when we execute them the following message appears at runtime:
"The ordinal 160 could not be located in the dynamic link library..." Help! I'm lost and this is one reason that althought VO2.8sp4 is supposed to be very stable, we can't get basic support anywhere and that is a no go for me.

Thanks for any help!
John

Please Log in or Create an account to join the conversation.

VO2.8 sp4 strange runtime error 1 week 5 days ago #10582

  Fabrice's Avatar Fabrice Offline Posts: 53
Hi John,

this means that you have somewhere a library that defines (at least one) prototype of a function/procedure that is supposed to be in an external library (DLL) written in C/C++/.. at position 160.

So, my guess is that you have a library (DLL) that doesn't match the declaration in VO ( not the same version number or something like that)
Can you please give more info ? and at least what is the related DLL ?

HTH,
Fab

Please Log in or Create an account to join the conversation.

VO2.8 sp4 strange runtime error 1 week 5 days ago #10583

  wriedmann's Avatar wriedmann Away Posts: 1745
Hi John,

probably one of your referenced runtime libraries is from VO 2.7. Often the ReportPro runtime is the culprit.

Wolfgang
Wolfgang Riedmann
Meran, South Tyrol, Italy

www.riedmann.it - docs.xsharp.it

Please Log in or Create an account to join the conversation.

VO2.8 sp4 strange runtime error 1 week 5 days ago #10584

  Chris's Avatar Chris Offline Posts: 1341
Hi John,

In addition to what the guys said, let me also explain that while moving your app to VO28 was a perquisite for porting to Vulcan, this is not necessary for X#, which can port even VO2.5 apps. But moving to VO28 first will most likely help making the port to X# smoother, mainly by finding and fixing some problems in the code already in VO, since the VO28 compiler is stricter.
XSharp Development Team
chris(at)xsharp.eu

Please Log in or Create an account to join the conversation.

VO2.8 sp4 strange runtime error 1 week 5 days ago #10585

  jjgregg's Avatar Topic Author jjgregg Offline Posts: 12
Hi Wofgang, you are right, it has to be the only reportpro library I'm linking with the applications: RP3 Runtime OLEControl.
But I don't want to dismantle all the logic of maneuvering through RPT reports that we require.
Let's see
Thanks,
John

Please Log in or Create an account to join the conversation.

VO2.8 sp4 strange runtime error 1 week 5 days ago #10586

  jjgregg's Avatar Topic Author jjgregg Offline Posts: 12
rp3 Runtime OLEControl is the only library I compiled and linked to our applications, it has to be the one causing the problems. Let's see, I don't want to dismantle all the detail work that has gone in moving through and managing the RPT files they way we need them.
Thanks

Please Log in or Create an account to join the conversation.

VO2.8 sp4 strange runtime error 1 week 5 days ago #10587

  wriedmann's Avatar wriedmann Away Posts: 1745
Hi John,
since you are using ReportPro 3: this is a major problem since all ReportPro 3 versions share the same GUID, and you can keep registered only one of them.
If there is another possibility to make this work, maybe release a new ReportPro 3 version with another GUID, must be left to the development team.
At the moment you need to unregister the 2.7 ReportPro and register the 2.8 version.
Wolfgang
P.S. I don't use ReportPro myself, but I know from other people that this can be an ussie
Wolfgang Riedmann
Meran, South Tyrol, Italy

www.riedmann.it - docs.xsharp.it

Please Log in or Create an account to join the conversation.

  • Page:
  • 1